MSP430™CapTIvateSoftwareLibraryAPIGuide 1_70_00_03

Macros | Functions
CAPT_Manager

High level sensor management module for init, calibration, and updating. More...

## Macros
#define | CAPT_MANAGER_CALIBRATE_SENSOR(sensor) CAPT_calibrateSensor(sensor)
#define | CAPT_MANAGER_UPDATE_SENSOR(sensor, lpm) CAPT_updateSensor(sensor, lpm)

## Functions
void | CAPT_initUI (tCaptivateApplication *pApp)
| Initialize a CapTIvate™ application (UI). More...
void | CAPT_calibrateUI (tCaptivateApplication *pApp)
| Calibrate a CapTIvate™ application (UI). More...
void | CAPT_updateUI (tCaptivateApplication *pApp)
| Update a CapTIvate™ application (UI). More...
bool | CAPT_getGlobalUIProximityStatus (tCaptivateApplication *pApp)

## Detailed Description

High level sensor management module for init, calibration, and updating.

The Captivate Manager provides a feature set for running a Captivate application. Functions are provided for initializing an application, calibrating an application, or updating (measuring, processing, and communicating) and application.

The manager layer requires a CAPT_UserConfig file to be included in the build.

Version
  VERSION Released on RELEASE_DATE

## Macro Definition Documentation

## § CAPT_MANAGER_CALIBRATE_SENSOR

#define CAPT_MANAGER_CALIBRATE_SENSOR | ( |  | sensor | ) | CAPT_calibrateSensor(sensor)

Referenced by CAPT_calibrateUI(), and CAPT_updateUI().

## § CAPT_MANAGER_UPDATE_SENSOR

#define CAPT_MANAGER_UPDATE_SENSOR | ( |  | sensor,
|  |  | lpm
| ) |  | CAPT_updateSensor(sensor, lpm)

Referenced by CAPT_updateUI().

## Function Documentation

## § CAPT_initUI()

void CAPT_initUI | ( | tCaptivateApplication * | pApp | ) |

Initialize a CapTIvate™ application (UI).

This function powers on the CapTIvate™ peripheral, initializes it, and sets up the CapTIvate™ IO for each sensor. If a communications interface is enabled, it is initialized here as well.

Parameters

  pApp | is a pointer to the CapTIvate™ application to init.

Returns
  none

References CAPT_init(), CAPT_initCommInterface(), CAPT_initSensor(), CAPT_processTrackPadGesture(), CAPT_processTrackPadSensor(), CAPT_registerTrackPadGestureProcessing(), CAPT_registerTrackPadSensorProcessing(), eTrackpad, MAP_CAPT_enableSensorIO, MAP_CAPT_initSensorIO, MAP_CAPT_powerOn, tCaptivateApplication::pSensorList, tSensor::TypeOfSensor, and tCaptivateApplication::ui8NrOfSensors.

## § CAPT_calibrateUI()

void CAPT_calibrateUI | ( | tCaptivateApplication * | pApp | ) |

Calibrate a CapTIvate™ application (UI).

This function calls the touch library calibration function on every sensor in the application.

Parameters

  pApp | is a pointer to the CapTIvate™ application to calibrate.

Returns
  none

References CAPT_MANAGER_CALIBRATE_SENSOR, tCaptivateApplication::pSensorList, and tCaptivateApplication::ui8NrOfSensors.

## § CAPT_updateUI()

void CAPT_updateUI | ( | tCaptivateApplication * | pApp | ) |

Update a CapTIvate™ application (UI).

This function updates every sensor in the application. This involves measuring the sensor, processing it, and if communications are enabled, transmitting the output data.

Parameters

  pApp | is a pointer to the CapTIvate™ application to update.

Returns
  none

References CAPT_MANAGER_CALIBRATE_SENSOR, CAPT_MANAGER_UPDATE_SENSOR, CAPT_writeElementData(), CAPT_writeSensorData(), CAPT_writeTrackPadSensorData(), CAPT_writeTrackPadSensorStatus(), eTrackpad, MAP_CAPT_testForMaxCountRecalibration, MAP_CAPT_testForNegativeTouchRecalibration, MAP_CAPT_testForRecalibration, tCaptivateApplication::pSensorList, tSensor::TypeOfSensor, tCaptivateApplication::ui8AppLPM, and tCaptivateApplication::ui8NrOfSensors.

## § CAPT_getGlobalUIProximityStatus()

bool CAPT_getGlobalUIProximityStatus | ( | tCaptivateApplication * | pApp | ) |

Return true if any sensor in the UI configuration has a proximity detection.

Parameters

  pApp | is a pointer to the CapTIvate™ application to test.

Returns
  true of prox on any sensor is found, else false.

References tSensor::bSensorProx, tCaptivateApplication::pSensorList, and tCaptivateApplication::ui8NrOfSensors.

© Copyright 1995-2018, Texas Instruments Incorporated. All rights reserved.
Trademarks | Privacy policy | Terms of use | Terms of sale